Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputDefinitions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputDefinitions.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputDefinitions.cs	(revision 51)
@@ -0,0 +1,367 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+using System.Collections;
+using System.Drawing;
+
+using ProcessManagement.DataModel;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmRequestInput : Form
+    {
+        #region 定数
+        /// <summary>
+        /// 列インデックス定義
+        /// </summary>
+        private enum ColumnIndex
+        {
+            SectionIndex,                   // セクションインデックス(非表示)
+            RowKind,                        // 行種別(非表示)
+            ConstructionCode,               // 工事番号(非表示)
+            Headline,                       // 見出し
+            ConstructionName,               // 工事名
+            ConstructionPrice,              // 工事金額
+            Label,                          // ラベル
+            Total,                          // 合計
+            RequestInfo,                    // 請求情報
+            Amount,                         // 残り
+        }
+
+        /// <summary>
+        /// 行セクションインデックス定義
+        /// </summary>
+        private enum RowSectionIndex
+        {
+            Header,                         // ヘッダ
+            OriginalConstruction,           // 本工事
+            ChildConstruction,              // 増減工事
+            Total,                          // 合計
+            DepositInfo,                     // 入金情報
+        }
+
+        /// <summary>
+        /// 行種別定義
+        /// </summary>
+        private enum RowKind
+        {
+            RequestSheetCreateDate,         // 請求書作成日
+            ApprobalStatus,                 // 承認状態
+            RequestSheetPrice,              // 請求書金額
+            BillPrice,                      // 請求金額
+            TaxPrice,                       // 消費税
+            AmountPrice,                    // (未入金分)
+            NonTaxedPrice,                  // (税抜き)
+            DepositDate,                    // 入金日
+            DepositPrice,                   // 入金金額
+            DifferencePrice,                // 差額
+            DepositCheck,                   // 入金確認
+        }
+
+        /// <summary>
+        /// 承認状態
+        /// </summary>
+        private enum RequestApprovalStatus
+        {
+            Approval,                       // 承認済み
+            NotApproval,                    // 不承認
+            Pending,                        // 保留
+            NowApproval,                    // 承認中
+            Petition,                       // 申請中
+            NowInput,                       // 入力中
+        }
+
+        /// <summary>
+        /// 請求書申請確認ダイアログタイトル
+        /// </summary>
+        private static readonly string s_RequestApprovalDialogTitle = "請求書申請";
+
+        // 請求書申請確認ダイアログ 表示メッセージ
+        private static readonly string s_MessageNotCompletionConstruction = "施工完了ではないため、請求書承認の申請はできません。";
+        private static readonly string s_MessageNotCompletionRequest = "工事金額がすべて請求されていませんが、\n請求書承認を申請してよろしいですか？";
+        private static readonly string s_MessageOverRequest = "請求金額が工事金額を超えていますが、\n請求書承認を申請してよろしいですか？";
+        private static readonly string s_MessageComfirmRequest = "請求書承認を申請してよろしいですか？";
+
+        #endregion
+
+        #region Static変数
+        /// <summary>
+        /// 列タイトル定義
+        /// </summary>
+        private static Hashtable s_HtColumnTitles = new Hashtable()
+        {
+            { ColumnIndex.ConstructionName, "工事名" },
+            { ColumnIndex.ConstructionPrice, "工事金額" },
+            { ColumnIndex.Total, "合計" },
+            { ColumnIndex.Amount, "残り" },
+            {
+                ColumnIndex.RequestInfo,
+                new List<string>()
+                {
+                    "1回目",
+                    "2回目",
+                    "3回目",
+                }
+            }
+        };
+
+        /// <summary>
+        /// セクション色の設定
+        /// </summary>
+        private static Hashtable s_HtRowColors = new Hashtable()
+        {
+            { RowSectionIndex.Header, Color.Yellow },
+            { RowSectionIndex.Total,  Color.Moccasin },
+            { RowSectionIndex.DepositInfo, Color.Yellow },
+            {
+                RowSectionIndex.ChildConstruction,
+                new List<Color>()
+                {
+                    Color.LightBlue,
+                    Color.White,
+                }
+            },
+        };
+
+        /// <summary>
+        /// 行構成定義
+        /// </summary>
+        private static Dictionary<RowSectionIndex,List<RowKind>> s_HtRowSections = new Dictionary<RowSectionIndex, List<RowKind>>()
+        {
+            // ヘッダ
+            {
+                RowSectionIndex.Header,
+                new List<RowKind>()
+                {
+                    RowKind.RequestSheetCreateDate,
+                    RowKind.ApprobalStatus,
+                    RowKind.RequestSheetPrice,
+                }
+            },
+            // 本工事
+            {
+                RowSectionIndex.OriginalConstruction,
+                new List<RowKind>()
+                {
+                    RowKind.BillPrice,
+                    RowKind.TaxPrice,
+                    RowKind.AmountPrice,
+                }
+            },
+            // 増減工事
+            {
+                RowSectionIndex.ChildConstruction,
+                new List<RowKind>()
+                {
+                    RowKind.BillPrice,
+                    RowKind.TaxPrice,
+                }
+            },
+            // 合計
+            {
+                RowSectionIndex.Total,
+                new List<RowKind>()
+                {
+                    RowKind.BillPrice,
+                    RowKind.NonTaxedPrice,
+                    RowKind.TaxPrice,
+                    RowKind.AmountPrice,
+                }
+            },
+            // 入金情報
+            {
+                RowSectionIndex.DepositInfo,
+                new List<RowKind>()
+                {
+                    RowKind.DepositDate,
+                    RowKind.DepositPrice,
+                    RowKind.DifferencePrice,
+                    RowKind.DepositCheck,
+                }
+            }
+        };
+
+        /// <summary>
+        /// 固定表示ラベル定義
+        /// </summary>
+        private static Dictionary<RowSectionIndex, Dictionary<RowKind, Dictionary<ColumnIndex, string>>> s_HtLabels = new Dictionary<RowSectionIndex, Dictionary<RowKind, Dictionary<ColumnIndex, string>>>()
+        {
+            // ヘッダ
+            {
+                RowSectionIndex.Header, new Dictionary<RowKind,Dictionary<ColumnIndex,string>>()
+                {
+                    // 請求書作成日行
+                    {
+                        RowKind.RequestSheetCreateDate, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "請求書作成" },
+                        }
+                    },
+                    // 承認状態行
+                    {
+                        RowKind.ApprobalStatus, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "承認状態" },
+                        }
+                    },
+                    // 請求書金額行
+                    {
+                        RowKind.RequestSheetPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "請求書金額" },
+                        }
+                    },
+                }
+            },
+            // 本工事
+            {
+                RowSectionIndex.OriginalConstruction, new Dictionary<RowKind,Dictionary<ColumnIndex,string>>()
+                {
+                    // 請求金額行
+                    {
+                        RowKind.BillPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Headline, "本工事" },
+                            { ColumnIndex.Label, "請求金額" },
+                        }
+                    },
+                    // 消費税行
+                    {
+                        RowKind.TaxPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "消費税" },
+                        }
+                    },
+                    // 未入金分行
+                    {
+                        RowKind.AmountPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "(未入金分)" },
+                        }
+                    },
+                }
+            },
+            // 増減工事
+            {
+                RowSectionIndex.ChildConstruction, new Dictionary<RowKind,Dictionary<ColumnIndex,string>>()
+                {
+                    // 請求金額行
+                    {
+                        RowKind.BillPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Headline, "増減工事" },
+                            { ColumnIndex.Label, "請求金額" },
+                        }
+                    },
+                    // 消費税行
+                    {
+                        RowKind.TaxPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "消費税" },
+                        }
+                    },
+                }
+            },
+            // 合計
+            {
+                RowSectionIndex.Total, new Dictionary<RowKind,Dictionary<ColumnIndex,string>>()
+                {
+                    // 請求金額行
+                    {
+                        RowKind.BillPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Headline, "合計" },
+                            { ColumnIndex.Label, "請求金額" },
+                        }
+                    },
+                    // 税抜き行
+                    {
+                        RowKind.NonTaxedPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "(税抜き)" },
+                        }
+                    },
+                    // 消費税行
+                    {
+                        RowKind.TaxPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "(消費税)" },
+                        }
+                    },
+                    // 未入金分行
+                    {
+                        RowKind.AmountPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "(未入金分)" },
+                        }
+                    },
+                }
+            },
+            // 入金情報
+            {
+                RowSectionIndex.DepositInfo, new Dictionary<RowKind,Dictionary<ColumnIndex,string>>()
+                {
+                    // 入金日行
+                    {
+                        RowKind.DepositDate, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "入金日" },
+                        }
+                    },
+                    // 入金金額行
+                    {
+                        RowKind.DepositPrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "入金金額" },
+                        }
+                    },
+                    // 差額行
+                    {
+                        RowKind.DifferencePrice, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "差額" },
+                        }
+                    },
+                    // 入金確認行
+                    {
+                        RowKind.DepositCheck, new Dictionary<ColumnIndex,string>()
+                        {
+                            { ColumnIndex.Label, "入金確認" },
+                        }
+                    },
+                }
+            },
+        };
+
+        private static List<RowSectionIndex> lstAutoCalcSection = new List<RowSectionIndex>()
+        {
+            RowSectionIndex.OriginalConstruction,
+            RowSectionIndex.ChildConstruction,
+        };
+
+        private static List<RowKind> lstAutoCalcKind = new List<RowKind>()
+        {
+            RowKind.BillPrice,
+            RowKind.TaxPrice,
+            RowKind.AmountPrice,
+        };
+
+        // 承認状態文字列
+        private static Dictionary<RequestApprovalStatus, string> s_DictApprovalStatusString = new Dictionary<RequestApprovalStatus, string>()
+        {
+            { RequestApprovalStatus.Approval, "承認済み" },
+            { RequestApprovalStatus.NotApproval, "不承認" },
+            { RequestApprovalStatus.Pending, "保留" },
+            { RequestApprovalStatus.NowApproval, "承認中" },
+            { RequestApprovalStatus.Petition, "申請中" },
+            { RequestApprovalStatus.NowInput, "入力中" },
+        };
+
+        #endregion
+
+    }
+
+}
